description = "基于故事规格制定技术实现方案"

prompt = """

用户输入：{{args}}

## 目标

将"要创造什么"（规格）转化为"如何创造"（计划）。这是从需求到实现的关键转换。

## 执行步骤

### 1. 加载前置文档

运行 `.specify/scripts/bash/plan-story.sh` 检查并加载：
- 宪法文件：`.specify/memory/constitution.md`
- 规格文件：`stories/*/specification.md`
- 澄清记录（如果已运行 `/clarify`）

<!-- PLUGIN_HOOK: genre-knowledge-plan -->
<!-- 插件增强区：知识搜索
     如果你安装了 genre-knowledge 插件，请在此处插入知识搜索增强提示词
     参考：plugins/genre-knowledge/README.md 的"2.2 增强 /plan 命令"章节
-->

**🆕 条件加载：黄金开篇法则**：

**判断条件**：
1. 检查 specification.md 中的"目标字数"或"总章数"
2. 检查当前是否在规划开篇阶段
3. 判断依据：
   - 如果总字数 < 10000字，或
   - 如果规划的章节范围包含第1-3章

**如果满足开篇条件，执行以下操作**：

```bash
# 检查是否存在黄金开篇法则文件
test -f spec/presets/golden-opening.md && echo "found" || echo "not-found"
```

- ✅ **如果存在**：读取 `spec/presets/golden-opening.md`
  - 在规划第1-3章时自动应用五大黄金法则
  - 在后续"章节架构设计"部分特别标注前三章规划

- ⚠️ **如果不存在**：继续正常规划（不影响流程）

**🆕 条件加载：节奏配置**：

如果用户使用了 `/book-internalize` 命令分析对标作品：

```bash
# 检查是否存在节奏配置文件
test -f spec/presets/rhythm-config.json && echo "found" || echo "not-found"
```

- ✅ **如果存在**：读取 `spec/presets/rhythm-config.json`
  - 应用对标作品的节奏模式（章节字数、爽点间隔等）
  - 应用内容比例建议（对话/动作/描写/心理）
  - 在"2.2 章节架构设计"中引用这些数据

- ⚠️ **如果不存在**：使用默认节奏规划

**验证规格澄清状态**：
- 如果存在未澄清的关键决策，提示先运行 `/clarify`
- 或接受用户明确指示跳过

### 2. 制定创作计划

创建 `stories/*/creative-plan.md`，包含以下内容：

#### 2.1 写作方法选择

基于规格分析和故事类型，选择最适合的写作方法：
- **三幕结构**：适合线性叙事、明确起承转合
- **英雄之旅**：适合成长型、冒险类故事
- **七点结构**：适合悬念、反转类故事
- **故事圈**：适合角色驱动、心理深度
- **混合方法**：主线+支线使用不同方法
- **类型专用结构**：如爽文的"爽点分布结构"、悬疑的"线索布局结构"等（参考类型知识库）

记录选择理由和应用方式。

#### 2.2 章节架构设计

```markdown
## 章节架构

### 总体规划
- 总章数：[基于目标字数和章节长度]
- 章节长度：[基于节奏配置或默认2000-3000字/章]
- 分卷安排：[如适用]

**🆕 节奏参数（如有rhythm-config.json）**：
- 平均章节字数：[从配置读取，如3200字]
- 小高潮间隔：[从配置读取，如5章]
- 大高潮间隔：[从配置读取，如30章]
- 节奏风格：[快/适中/慢]
- 内容比例：对话[X]% / 动作[X]% / 描写[X]% / 心理[X]%

### 🌟 黄金开篇规划（如果包含第1-3章）

**重要**：如果本次规划包含第1-3章，必须特别注意以下要点（基于 golden-opening.md）：

#### 第一章规划
- ✅ **法则1-动态场景切入**：
  - 禁止：静止场景、大段环境描写
  - 必须：从冲突/动作/对话直接切入
  - 具体设计：[描述第一章的开场方式]

- ✅ **法则2-核心冲突前置**：
  - 第一章内必须抛出主角核心冲突
  - 具体设计：[描述核心冲突如何呈现]

- ✅ **法则3-避免信息轰炸**：
  - 绝对禁止开篇大篇幅介绍世界观
  - 采用"滴灌式"信息透露
  - 具体设计：[列出第一章透露的信息点]

- ✅ **法则4-限制出场人数**：
  - 有名有姓角色不超过3人
  - 具体设计：[列出第一章出场角色]

#### 第二-三章规划
- ✅ **法则5-快速展现金手指**：
  - 第二或第三章内展现"金手指"作用
  - 具体设计：[描述金手指展现方式]

#### 开篇节奏要求
- 第一章目标：钩住读者，建立期待
- 第二章目标：展现能力，强化钩子
- 第三章目标：初步爽点，确认追读

### 情绪曲线设计 ⭐（构建阅读体验的情绪闭环）

**核心理念**：好的小说不仅是故事的旅程，更是**情绪的旅程**。读者追读的本质是追逐情绪的起伏和满足。

**情绪类型定义**（使用小说术语）：

| 情绪类型 | 定义 | 读者体验 | 典型场景 |
|---------|------|---------|---------|
| 😤 **爽点** | 主角获胜、反转、展现实力 | 畅快、解气、期待下一次 | 打脸、逆袭、装逼成功 |
| 😭 **虐点** | 主角失败、压抑、挫折 | 担忧、憋屈、期待翻盘 | 被欺负、失败、失去重要的人 |
| 🤔 **悬念** | 未知、疑问、伏笔 | 好奇、猜测、想继续看 | 出现神秘人物、发现线索、留下谜题 |
| 💧 **平缓** | 日常、过渡、铺垫 | 缓冲、理解、准备情绪 | 日常生活、角色互动、世界观展示 |

**情绪设计原则**：
1. ✅ **欲扬先抑**：爽点前适度铺垫虐点，爽感更强
2. ✅ **张弛有度**：避免连续虐点或连续爽点，保持节奏
3. ✅ **悬念驱动**：每章结尾留悬念，驱动追读欲
4. ✅ **情绪递进**：高潮处的情绪强度要明显高于开篇

**章节段情绪规划**：

| 章节段 | 情绪类型 | 强度 | 目标效果 | 关键场景 |
|--------|---------|------|---------|---------|
| 第1-3章 | 虐→爽→悬念 | 中→高→中 | 开局抑扬，建立追读欲 | [具体描述] |
| 第4-8章 | 平缓→虐→爽 | 低→中→高 | 第一波小高潮 | [具体描述] |
| 第9-15章 | 悬念→虐→爽 | 中→高→高 | 第二波高潮，埋伏笔 | [具体描述] |
| ... | ... | ... | ... | ... |

**情绪强度等级**：
- **低**：情绪波动小，主要是铺垫和过渡
- **中**：情绪有明显起伏，读者有代入感
- **高**：情绪爆发点，读者高度投入
- **极高**：全书顶点，决定性高潮（通常1-3处）

**情绪曲线可视化**（可选，ASCII简图）：
```
情绪强度
极高 |                    ╱╲              ╱╲
高   |         ╱╲        ╱  ╲            ╱  ╲___
中   |    ╱╲  ╱  ╲      ╱    ╲___    ___╱
低   | __╱  ╲╱    ╲____╱         ╲__╱
     └─────────────────────────────────────> 章节
        3   8   15   25   35   45   55
```

**情绪设计自检清单**：
- [ ] 开篇3章是否有明确的情绪钩子？
- [ ] 是否存在连续5章以上的平缓期？（警告：容易弃读）
- [ ] 虐点之后是否有足够的爽点回报？
- [ ] 每个卷/阶段是否有明确的情绪高潮？
- [ ] 全书最高情绪点是否在后1/3部分？
- [ ] 章节结尾是否留有悬念驱动下一章？

**与节奏配置的关系**：
- 如果存在 `rhythm-config.json`，参考其中的"爽点间隔"参数
- 对标作品的情绪节奏可作为参考，但需根据自己的故事调整
- 不同类型有不同的情绪节奏（爽文：高频爽点；悬疑：高频悬念；虐文：后期高爽）

### 结构映射
[根据选定方法，映射关键节点到具体章节]

### 线索分布规划

**重要**：从specification.md第五章读取线索管理规格，在每个卷/章节段标注活跃线索。

#### 第一卷：[卷名](章节范围)

| 章节段 | 内容 | 关键事件 | **活跃线索** | **交汇点** |
|--------|------|---------|-------------|-----------|
| [X-Y章] | [段落内容] | [关键事件列表] | PL-01⭐⭐⭐、PL-02⭐⭐ | X-001(第X章) |
| [X-Y章] | [段落内容] | [关键事件列表] | PL-01⭐⭐、PL-03⭐⭐⭐ | 无 |

**线索标注说明**：
- PL-XX：线索ID，来自specification.md 5.1节
- ⭐⭐⭐ 主推进：本章节段重点推进此线索，占据主要篇幅
- ⭐⭐ 辅助：正常推进，有一定篇幅
- ⭐ 背景：偶尔提及，保持存在感
- X-XXX：交汇点ID，来自specification.md 5.3节

#### 第二卷：[卷名](章节范围)

[重复上述表格结构]

### 节奏设计
- 开篇钩子：第[X]章
- 第一个高潮：第[X]章
- 中点转折：第[X]章
- 最大危机：第[X]章
- 最终高潮：第[X]章
```

#### 2.3 人物体系设计

```markdown
## 人物体系

### 主角设计
- 初始状态：[起点]
- 成长弧线：[变化轨迹]
- 核心冲突：[内在vs外在]
- 关键转变点：[具体章节]

### 配角功能
[每个重要配角的功能定位和出场计划]

### 关系网络
[人物关系图和演变计划]
```

#### 2.4 世界观构建

```markdown
## 世界观体系

### 核心设定
- 世界规则：[物理/魔法/科技规则]
- 社会结构：[政治/经济/文化]
- 历史背景：[重要历史事件]

### 设定展开计划
- 第一层（开篇）：[基础设定]
- 第二层（发展）：[深入设定]
- 第三层（高潮）：[核心秘密]
```

#### 2.5 情节技术设计

```markdown
## 情节技术

### 冲突升级路径
1. 初级冲突：[个人层面]
2. 中级冲突：[团体层面]
3. 高级冲突：[世界层面]

### 悬念设置
- 主悬念：[贯穿全文]
- 章节悬念：[每章钩子]
- 支线悬念：[丰富层次]

### 伏笔布局
[伏笔清单和回收计划]
```

#### 2.6 叙事技术选择

```markdown
## 叙事技术

### POV设计
- 视角类型：[第一/第三人称]
- 视角限制：[全知/限定]
- 多视角安排：[如适用]

### 时间线设计
- 主线时间：[线性/非线性]
- 回忆穿插：[使用策略]
- 平行叙事：[如适用]

### 叙事节奏
- 快节奏段落：[动作/冲突]
- 慢节奏段落：[情感/描写]
- 节奏变化：[张弛规律]
```

### 3. 技术决策记录

记录所有重要的技术决策：
- **决策**：选择了什么
- **理由**：为什么选择
- **风险**：可能的问题
- **备案**：替代方案

### 4. 质量保证计划

```markdown
## 质量保证

### 自检清单
- [ ] 逻辑一致性检查点
- [ ] 人物行为合理性
- [ ] 世界观自洽性
- [ ] 节奏流畅性

### 验证节点
- 每5章：小循环验证
- 每卷：大循环验证
- 完稿：全面验证
```

### 5. 风险管理

识别并制定应对策略：
- **创作风险**：灵感、逻辑、节奏
- **技术风险**：复杂度、一致性
- **时间风险**：进度、质量平衡

### 6. 输出和验证

- 保存计划到 `stories/*/creative-plan.md`
- 验证计划符合宪法原则
- 验证计划满足规格需求
- 提示下一步：运行 `/tasks` 生成任务

## 与其他命令的关系

- **输入**：来自 `/specify` 的规格 + `/clarify` 的澄清
- **输出**：为 `/tasks` 提供任务生成依据
- **验证**：被 `/analyze` 用于检查实现符合度

## 注意事项

### 🌟 黄金开篇法则的应用（重要）

**何时应用**：
- 规划包含第1-3章时自动触发
- 或总字数 < 10000字的短篇作品

**为什么重要**：
- 前三章决定了80%的读者留存率
- 开篇是读者决定是否追读的关键窗口
- 黄金开篇法则经过大量爆款作品验证

**如何应用**：
1. 在"章节架构设计"中创建独立的"黄金开篇规划"部分
2. 逐条检查五大法则是否在前三章中体现
3. 具体设计每一章如何满足法则要求
4. 如果规格与法则冲突，优先遵循法则（或有意识地违反）

**常见误区**：
- ❌ 第一章大段描写世界观设定
- ❌ 主角在第一章只是日常生活，没有冲突
- ❌ 第一章出场角色过多（>3人）
- ❌ 金手指/核心能力延迟到第五章以后才展现

### 🎵 节奏配置的应用

**如果使用了 `/book-internalize`**：
- 系统会自动读取 `spec/presets/rhythm-config.json`
- 应用对标作品的节奏参数（章节字数、爽点间隔等）
- 应用内容比例（对话/动作/描写/心理）

**参数优先级**：
1. **用户即时指令**（最高）
2. **rhythm-config.json**（对标作品节奏）
3. **类型知识库**（类型通用节奏）
4. **默认值**（2000-3000字/章）

**建议**：
- 对标作品的节奏参数仅供参考
- 根据自己的创作习惯适度调整
- 不要生搬硬套，保持灵活性

### 技术服务于故事
- 所有技术选择都要服务于故事表达
- 不要为了技巧而技巧
- 保持方案的灵活性

### 可执行性
- 计划要具体可执行
- 避免过于理想化
- 考虑实际创作能力

### 迭代优化
- 计划可以根据实践调整
- 记录调整原因和影响
- 保持版本追踪

记住：**好的计划是成功的一半，但要随时准备调整。黄金开篇是硬规则，其他规划可以灵活。**
"""
